//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Mask/MaskRoot.h
//! @brief     Defines class MaskRoot.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_MASK_MASKROOT_H
#define BORNAGAIN_GUI_MODEL_MASK_MASKROOT_H

#include <QObject>

//! QObject with signals used in masks

class MaskRoot : public QObject {
    Q_OBJECT
public:
    explicit MaskRoot();
    virtual ~MaskRoot();

signals:
    void maskGeometryChanged(MaskRoot* sender = nullptr);
    void maskVisibilityChanged();
    void maskToBeDestroyed(MaskRoot* sender = nullptr);
};

#endif // BORNAGAIN_GUI_MODEL_MASK_MASKROOT_H
