//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Numeric/FixupDoubleValidator.cpp
//! @brief     Implements class FixupDoubleValidator.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "FixupDoubleValidator.h"

FixupDoubleValidator::FixupDoubleValidator(QObject* parent)
    : QDoubleValidator(parent)
{
}

FixupDoubleValidator::FixupDoubleValidator(double bottom, double top, int decimals, QObject* parent)
    : QDoubleValidator(bottom, top, decimals, parent)
{
}

void FixupDoubleValidator::fixup(QString& /*input*/) const
{
    emit fixupSignal();
}
