//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Plotter/ScientificPlot.cpp
//! @brief     Implements class ScientificPlot.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/View/Plotter/ScientificPlot.h"
#include "GUI/View/Plotter/PlotEventHelper.h"
#include <qcustomplot.h>

ScientificPlot::ScientificPlot(PLOT_TYPE plot_type)
    : m_qcp(new QCustomPlot)
    , m_plot_type(plot_type)
    , m_event_helper(new PlotEventHelper(this))
{
}

ScientificPlot::~ScientificPlot() = default;

void ScientificPlot::setMouseTrackingEnabled(bool enable)
{
    m_event_helper->setMouseTrackingEnabled(enable);
}

bool ScientificPlot::axesRangeContains(double xpos, double ypos) const
{
    return customPlot()->xAxis->range().contains(xpos)
           && customPlot()->yAxis->range().contains(ypos);
}
