//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/ProShape/MaskType.h
//! @brief     Defines enum MaskType.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_PROSHAPE_MASKTYPE_H
#define BORNAGAIN_GUI_VIEW_PROSHAPE_MASKTYPE_H

#include <QGraphicsItem>

enum MaskType {
    IMASKVIEW = QGraphicsItem::UserType + 1, // = 65537
    RECTANGLEBASE,
    RECTANGLE,
    SIZEHANDLE,
    POLYGON,
    POLYGONPOINT,
    VERTICALLINE,
    HORIZONTALLINE,
    ELLIPSE,
    MASKALL,
    REGIONOFINTEREST,
    MASKCONTAINER,
    MASKGRAPHICSPROXY
};

#endif // BORNAGAIN_GUI_VIEW_PROSHAPE_MASKTYPE_H
