//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/ProShape/MaskUtil.h
//! @brief     Defines class MaskUtil.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_PROSHAPE_MASKUTIL_H
#define BORNAGAIN_GUI_VIEW_PROSHAPE_MASKUTIL_H

#include <QBrush>
#include <QPen>
#include <QPointF>
#include <QRectF>

//! Provides MaskEditor with common settings (colors, gradients, etc)

namespace MaskUtil {

QBrush getSelectionMarkerBrush();
QPen getSelectionMarkerPen();
QBrush getMaskBrush(bool mask_value);
QPen getMaskPen(bool mask_value);
QRectF getMarkerRectangle(const QPointF& pos);

}; // namespace MaskUtil

#endif // BORNAGAIN_GUI_VIEW_PROSHAPE_MASKUTIL_H
