//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Setup/Scale1DEditor.h
//! @brief     Defines class Scale1DEditor.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_SETUP_SCALE1DEDITOR_H
#define BORNAGAIN_GUI_VIEW_SETUP_SCALE1DEDITOR_H

#include "GUI/View/Access/DataPropertyWidget.h"

//! Widget to edit properties of a Data1DItem.

class Scale1DEditor : public DataPropertyWidget {
    Q_OBJECT
public:
    explicit Scale1DEditor(QWidget* parent = nullptr);

private:
    void createPanelElements() override;
};

#endif // BORNAGAIN_GUI_VIEW_SETUP_SCALE1DEDITOR_H
