//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Setup/Scale2DEditor.h
//! @brief     Defines class Scale2DEditor.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_SETUP_SCALE2DEDITOR_H
#define BORNAGAIN_GUI_VIEW_SETUP_SCALE2DEDITOR_H

#include "GUI/View/Access/DataPropertyWidget.h"

//! Widget to edit properties of an Data2DItem.

class Scale2DEditor : public DataPropertyWidget {
    Q_OBJECT
public:
    explicit Scale2DEditor(QWidget* parent = nullptr);

private:
    void unsubscribe();
    void createPanelElements() override;
};

#endif // BORNAGAIN_GUI_VIEW_SETUP_SCALE2DEDITOR_H
